AWS
probe ElastiCache

# count_cache_clusters_from_replication_group

Returns the number of cache clusters that are part of the given ReplicationGroupId

Run it now
View details

Type | probe
Module | chaosaws.elasticache.probes
Name | count_cache_clusters_from_replication_group
Return | integer

Usage

JSON

    {
      "name": "count-cache-clusters-from-replication-group",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.elasticache.probes",
        "func": "count_cache_clusters_from_replication_group",
        "arguments": {
          "replication_group_id": ""
        }
      }
    }

YAML

    name: count-cache-clusters-from-replication-group
    provider:
      arguments:
        replication_group_id: ""
      func: count_cache_clusters_from_replication_group
      module: chaosaws.elasticache.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
replication_group_id | string |  | Yes | Replication Group ID |

Signature

    def count_cache_clusters_from_replication_group(
            replication_group_id: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- AWS
  action ElastiCache

  ## `test_failover`

  Tests automatic failover on a single shard (also known as node groups)
- AWS
  action ElastiCache

  ## `reboot_cache_clusters`

  Reboots one or more nodes in a cache cluster
- AWS
  probe ElastiCache

  ## `describe_cache_cluster`

  Returns cache cluster data for given cluster